## EogApplication

EogApplication

## Synopsis

    #define             EOG_APP
                        EogApplication;
    EogApplication*     eog_application_get_instance        (void);
    gboolean            eog_application_register_service    (EogApplication *application);
    void                eog_application_shutdown            (EogApplication *application);
    gboolean            eog_application_open_window         (EogApplication *application,
                                                             guint timestamp,
                                                             EogStartupFlags flags,
                                                             GError **error);
    gboolean            eog_application_open_uri_list       (EogApplication *application,
                                                             GSList *uri_list,
                                                             guint timestamp,
                                                             EogStartupFlags flags,
                                                             GError **error);
    gboolean            eog_application_open_file_list      (EogApplication *application,
                                                             GSList *file_list,
                                                             guint timestamp,
                                                             EogStartupFlags flags,
                                                             GError **error);
    gboolean            eog_application_open_uris           (EogApplication *application,
                                                             gchar **uris,
                                                             guint timestamp,
                                                             EogStartupFlags flags,
                                                             GError **error);
    GList*              eog_application_get_windows         (EogApplication *application);
    EggToolbarsModel*   eog_application_get_toolbars_model  (EogApplication *application);
    void                eog_application_save_toolbars_model (EogApplication *application);
    void                eog_application_reset_toolbars_model
                                                            (EogApplication *app);
    void                eog_application_screensaver_enable  (EogApplication *application);
    void                eog_application_screensaver_disable (EogApplication *application);

## Object Hierarchy

      GObject
       +----EogApplication

## Description

## Details

### EOG_APP

    #define EOG_APP				(eog_application_get_instance ())

### EogApplication

    typedef struct _EogApplication EogApplication;

### eog_application_get_instance ()

    EogApplication*     eog_application_get_instance        (void);

Returns : |

### eog_application_register_service ()

    gboolean            eog_application_register_service    (EogApplication *application);

`application` : |
Returns : |

### eog_application_shutdown ()

    void                eog_application_shutdown            (EogApplication *application);

`application` : |

### eog_application_open_window ()

    gboolean            eog_application_open_window         (EogApplication *application,
                                                             guint timestamp,
                                                             EogStartupFlags flags,
                                                             GError **error);

`application` : |
`timestamp` : |
`flags` : |
`error` : |
Returns : |

### eog_application_open_uri_list ()

    gboolean            eog_application_open_uri_list       (EogApplication *application,
                                                             GSList *uri_list,
                                                             guint timestamp,
                                                             EogStartupFlags flags,
                                                             GError **error);

`application` : |
`uri_list` : |
`timestamp` : |
`flags` : |
`error` : |
Returns : |

### eog_application_open_file_list ()

    gboolean            eog_application_open_file_list      (EogApplication *application,
                                                             GSList *file_list,
                                                             guint timestamp,
                                                             EogStartupFlags flags,
                                                             GError **error);

`application` : |
`file_list` : |
`timestamp` : |
`flags` : |
`error` : |
Returns : |

### eog_application_open_uris ()

    gboolean            eog_application_open_uris           (EogApplication *application,
                                                             gchar **uris,
                                                             guint timestamp,
                                                             EogStartupFlags flags,
                                                             GError **error);

`application` : |
`uris` : |
`timestamp` : |
`flags` : |
`error` : |
Returns : |

### eog_application_get_windows ()

    GList*              eog_application_get_windows         (EogApplication *application);

`application` : |
Returns : |

### eog_application_get_toolbars_model ()

    EggToolbarsModel*   eog_application_get_toolbars_model  (EogApplication *application);

`application` : |
Returns : |

### eog_application_save_toolbars_model ()

    void                eog_application_save_toolbars_model (EogApplication *application);

`application` : |

### eog_application_reset_toolbars_model ()

    void                eog_application_reset_toolbars_model
                                                            (EogApplication *app);

`app` : |

### eog_application_screensaver_enable ()

    void                eog_application_screensaver_enable  (EogApplication *application);

`application` : |

### eog_application_screensaver_disable ()

    void                eog_application_screensaver_disable (EogApplication *application);

`application` : |